---
title: RegExp.prototype.unicode
slug: Web/JavaScript/Reference/Global_Objects/RegExp/unicode
tags:
  - ECMAScript 2015
  - JavaScript
  - Property
  - Prototype
  - Reference
  - RegExp
  - Regular Expressions
---
<div>{{JSRef}}</div>

<p>The <strong><code>unicode</code></strong> property indicates whether or not the "<code>u</code>" flag is used with a regular expression. <code>unicode</code> is a read-only property of an individual regular expression instance.</p>

<div>{{EmbedInteractiveExample("pages/js/regexp-prototype-unicode.html", "taller")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<div>{{js_property_attributes(0, 0, 1)}}</div>

<h2 id="Description">Description</h2>

<p>The value of <code>unicode</code> is a {{jsxref("Boolean")}} and <code>true</code> if the "<code>u</code>" flag was used; otherwise <code>false</code>. The "<code>u</code>" flag enables various Unicode-related features. With the "u" flag, any Unicode code point escapes will be interpreted as such, for example.</p>

<p>You cannot change this property directly. It is read-only.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_the_unicode_property">Using the unicode property</h3>

<pre class="brush: js notranslate">var regex = new RegExp('\u{61}', 'u');

console.log(regex.unicode); // true
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-get-regexp.prototype.unicode', 'RegExp.prototype.unicode')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.RegExp.unicode")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("RegExp.lastIndex")}}</li>
 <li>{{jsxref("RegExp.prototype.global")}}</li>
 <li>{{jsxref("RegExp.prototype.ignoreCase")}}</li>
 <li>{{jsxref("RegExp.prototype.multiline")}}</li>
 <li>{{jsxref("RegExp.prototype.source")}}</li>
 <li>{{jsxref("RegExp.prototype.sticky")}}</li>
</ul>
